curl -X POST https://api.livchat.ai/v1/messages/send/video \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"video": "https://example.com/video.mp4",
"caption": "Check out this video!"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/send/video", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
video: "https://example.com/video.mp4",
caption: "Check out this video!",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}
Messages
Send Video
Send a video to a WhatsApp number
POST
/
v1
/
messages
/
send
/
video
curl -X POST https://api.livchat.ai/v1/messages/send/video \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"video": "https://example.com/video.mp4",
"caption": "Check out this video!"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/send/video", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
video: "https://example.com/video.mp4",
caption: "Check out this video!",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}
Send a video with optional caption and thumbnail.
Request Body
string
required
Recipient phone number in international format
string
required
Video URL or base64-encoded data in data URI format
string
Optional caption for the video
string
Optional base64-encoded JPEG thumbnail
Supported Formats
- MP4 (H.264 codec) - Recommended
- 3GPP
- AVI
- MKV
Maximum file size: 16MB for standard, 64MB for WhatsApp Business
curl -X POST https://api.livchat.ai/v1/messages/send/video \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"video": "https://example.com/video.mp4",
"caption": "Check out this video!"
}'
const response = await fetch("https://api.livchat.ai/v1/messages/send/video", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
video: "https://example.com/video.mp4",
caption: "Check out this video!",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}